org.apache.xmlgraphics.xmp

## Interface PropertyAccess

- All Known Implementing Classes:
    Metadata, XMPStructure, XMPThinStructure

      public interface PropertyAccess

  This interface is implemented by the top-level Metadata class and stuctured properties.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `XMPProperty` | `getProperty(QName name)` Returns a property.
    `XMPProperty` | `getProperty(java.lang.String uri, java.lang.String localName)` Returns a property
    `int` | `getPropertyCount()` Returns the number of properties.
    `XMPProperty` | `getValueProperty()` Returns the rdf:value property.
    `java.util.Iterator` | `iterator()` Returns an Iterator over all properties in this structured property.
    `XMPProperty` | `removeProperty(QName name)` Removes a property and returns it if it was found.
    `void` | `setProperty(XMPProperty prop)` Sets a property.

- - ### Method Detail

    - #### setProperty

          void setProperty(XMPProperty prop)

      Sets a property.
      Parameters:
        `prop` - the property

    - #### getProperty

          XMPProperty getProperty(java.lang.String uri,
                                  java.lang.String localName)

      Returns a property
      Parameters:
        `uri` - the namespace URI of the property
        `localName` - the local name of the property
      Returns:
        the requested property or null if it's not available

    - #### getProperty

          XMPProperty getProperty(QName name)

      Returns a property.
      Parameters:
        `name` - the name of the property
      Returns:
        the requested property or null if it's not available

    - #### removeProperty

          XMPProperty removeProperty(QName name)

      Removes a property and returns it if it was found.
      Parameters:
        `name` - the name of the property
      Returns:
        the removed property or null if it was not found

    - #### getValueProperty

          XMPProperty getValueProperty()

      Returns the rdf:value property. This is a shortcut for getProperty(XMPConstants.RDF_VALUE).
      Returns:
        the rdf:value property or null if it's no available

    - #### getPropertyCount

          int getPropertyCount()

      Returns the number of properties.
      Returns:
        the number of properties in this metadata object.

    - #### iterator

          java.util.Iterator iterator()

      Returns an Iterator over all properties in this structured property.
      Returns:
        an Iterator over all properties

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.